<!-- Generated by pkgdown: do not edit by hand -->
<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<title>Function reference • quickcheck</title>


<!-- jquery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
<!-- Bootstrap -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/bootswatch/3.4.0/flatly/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous" />


<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha256-nuL8/2cJ5NDSSwnKD8VqreErSWHtnEP9E7AySL+1ev4=" crossorigin="anonymous"></script>

<!-- bootstrap-toc -->
<link rel="stylesheet" href="../bootstrap-toc.css">
<script src="../bootstrap-toc.js"></script>

<!-- Font Awesome icons -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous" />

<!-- clipboard.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script>

<!-- headroom.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script>

<!-- pkgdown -->
<link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script>



  <link href="../extra.css" rel="stylesheet">
  

<meta property="og:title" content="Function reference" />




<!-- mathjax -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script>

<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->



  </head>

  <body data-spy="scroll" data-target="#toc">
    <div class="container template-reference-index">
      <header>
      <div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">quickcheck</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.0.0.9000</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li>
  <a href="../index.html">
    <span class="fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
    <li>
      <a href="../articles/generator-outputs.html">Example generator outputs</a>
    </li>
  </ul>
</li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        
      </ul>
      
    </div><!--/.nav-collapse -->
  </div><!--/.container -->
</div><!--/.navbar -->

      

      </header>

<div class="row">
  <div class="contents col-md-9">
    <div class="page-header">
      <h1>Reference</h1>
    </div>

    <table class="ref-index">

    <colgroup>
      
      <col class="alias" />
      <col class="title" />
    </colgroup>

    <tbody>
      <tr>
        <th colspan="2">
          <h2 id="section-integer-vector-generators" class="hasAnchor"><a href="#section-integer-vector-generators" class="anchor"></a>Integer vector generators</h2>
          <p class="section-desc"><p>A set of generators to produce integer vectors.</p></p>
        </th>
      </tr>
      
      
    </tbody><tbody>
      
      
      <tr>
        
        <td>
          <p><code><a href="dot-.integer.html">..integer()</a></code> </p>
        </td>
        <td><p>Integer vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_bounded.html">..integer_bounded()</a></code> </p>
        </td>
        <td><p>Bounded integer vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_left_bounded.html">..integer_left_bounded()</a></code> </p>
        </td>
        <td><p>Left bounded integer vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_right_bounded.html">..integer_right_bounded()</a></code> </p>
        </td>
        <td><p>Right bounded integer vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_not_in_bounds.html">..integer_not_in_bounds()</a></code> </p>
        </td>
        <td><p>Integer vector not in bounds</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_not_zero.html">..integer_not_zero()</a></code> </p>
        </td>
        <td><p>Non-zero integer vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_positive.html">..integer_positive()</a></code> </p>
        </td>
        <td><p>Positive integer vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_negative.html">..integer_negative()</a></code> </p>
        </td>
        <td><p>Negative integer vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_divisible.html">..integer_divisible()</a></code> </p>
        </td>
        <td><p>Divisible integer vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_not_divisible.html">..integer_not_divisible()</a></code> </p>
        </td>
        <td><p>Non-divisible integer vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_even.html">..integer_even()</a></code> </p>
        </td>
        <td><p>Even integer vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_odd.html">..integer_odd()</a></code> </p>
        </td>
        <td><p>Odd integer vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.integer_large.html">..integer_large()</a></code> </p>
        </td>
        <td><p>Large integer vector</p></td>
      </tr>
    </tbody><tbody>
      <tr>
        <th colspan="2">
          <h2 id="section-double-vector-generators" class="hasAnchor"><a href="#section-double-vector-generators" class="anchor"></a>Double vector generators</h2>
          <p class="section-desc"><p>A set of generators to produce double vectors.</p></p>
        </th>
      </tr>
      
      
    </tbody><tbody>
      
      
      <tr>
        
        <td>
          <p><code><a href="dot-.double.html">..double()</a></code> </p>
        </td>
        <td><p>Double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_bounded.html">..double_bounded()</a></code> </p>
        </td>
        <td><p>Bounded double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_left_bounded.html">..double_left_bounded()</a></code> </p>
        </td>
        <td><p>Left bounded double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_right_bounded.html">..double_right_bounded()</a></code> </p>
        </td>
        <td><p>Right bounded double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_not_in_bounds.html">..double_not_in_bounds()</a></code> </p>
        </td>
        <td><p>Double vector not in bounds</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_not_zero.html">..double_not_zero()</a></code> </p>
        </td>
        <td><p>Non-zero double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_positive.html">..double_positive()</a></code> </p>
        </td>
        <td><p>Positive double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_negative.html">..double_negative()</a></code> </p>
        </td>
        <td><p>Negative double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_divisible.html">..double_divisible()</a></code> </p>
        </td>
        <td><p>Divisible double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_not_divisible.html">..double_not_divisible()</a></code> </p>
        </td>
        <td><p>Non-divisible double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_even.html">..double_even()</a></code> </p>
        </td>
        <td><p>Even double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_odd.html">..double_odd()</a></code> </p>
        </td>
        <td><p>Odd double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_large.html">..double_large()</a></code> </p>
        </td>
        <td><p>Large double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_whole.html">..double_whole()</a></code> </p>
        </td>
        <td><p>Whole double vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.double_fractional.html">..double_fractional()</a></code> </p>
        </td>
        <td><p>Fractional double vector</p></td>
      </tr>
    </tbody><tbody>
      <tr>
        <th colspan="2">
          <h2 id="section-numeric-vector-generators" class="hasAnchor"><a href="#section-numeric-vector-generators" class="anchor"></a>Numeric vector generators</h2>
          <p class="section-desc"><p>A set of generators to produce numeric vectors. A numeric vector may be an integer or double.</p></p>
        </th>
      </tr>
      
      
    </tbody><tbody>
      
      
      <tr>
        
        <td>
          <p><code><a href="dot-.numeric.html">..numeric()</a></code> </p>
        </td>
        <td><p>Numeric vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.numeric_bounded.html">..numeric_bounded()</a></code> </p>
        </td>
        <td><p>Bounded numeric vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.numeric_left_bounded.html">..numeric_left_bounded()</a></code> </p>
        </td>
        <td><p>Left bounded numeric vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.numeric_right_bounded.html">..numeric_right_bounded()</a></code> </p>
        </td>
        <td><p>Right bounded numeric vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.numeric_not_in_bounds.html">..numeric_not_in_bounds()</a></code> </p>
        </td>
        <td><p>Numeric vector not in bounds</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.numeric_not_zero.html">..numeric_not_zero()</a></code> </p>
        </td>
        <td><p>Non-zero numeric vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.numeric_positive.html">..numeric_positive()</a></code> </p>
        </td>
        <td><p>Positive numeric vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.numeric_negative.html">..numeric_negative()</a></code> </p>
        </td>
        <td><p>Negative numeric vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.numeric_divisible.html">..numeric_divisible()</a></code> </p>
        </td>
        <td><p>Divisible numeric vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.numeric_not_divisible.html">..numeric_not_divisible()</a></code> </p>
        </td>
        <td><p>Non-divisible numeric vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.numeric_even.html">..numeric_even()</a></code> </p>
        </td>
        <td><p>Even numeric vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.numeric_odd.html">..numeric_odd()</a></code> </p>
        </td>
        <td><p>Odd numeric vector</p></td>
      </tr>
    </tbody><tbody>
      <tr>
        <th colspan="2">
          <h2 id="section-character-vector-generators" class="hasAnchor"><a href="#section-character-vector-generators" class="anchor"></a>Character vector generators</h2>
          <p class="section-desc"><p>A set of generators to produce character vectors.</p></p>
        </th>
      </tr>
      
      
    </tbody><tbody>
      
      
      <tr>
        
        <td>
          <p><code><a href="dot-.character.html">..character()</a></code> </p>
        </td>
        <td><p>Character vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.character_not_empty.html">..character_not_empty()</a></code> </p>
        </td>
        <td><p>Non-empty character vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.character_letters.html">..character_letters()</a></code> </p>
        </td>
        <td><p>Letters vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.character_letters_lowercase.html">..character_letters_lowercase()</a></code> </p>
        </td>
        <td><p>Lowercase letters vector</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot-.character_letters_uppercase.html">..character_letters_uppercase()</a></code> </p>
        </td>
        <td><p>Uppercase letters vector</p></td>
      </tr>
    </tbody><tbody>
      <tr>
        <th colspan="2">
          <h2 id="section-logical-vector-generators" class="hasAnchor"><a href="#section-logical-vector-generators" class="anchor"></a>Logical vector generators</h2>
          <p class="section-desc"><p>A generator to produce logical vectors.</p></p>
        </th>
      </tr>
      
      
    </tbody><tbody>
      
      
      <tr>
        
        <td>
          <p><code><a href="dot-.logical.html">..logical()</a></code> </p>
        </td>
        <td><p>Logical vector</p></td>
      </tr>
    </tbody>
    </table>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="pkgdown-sidebar">
    <nav id="toc" data-toggle="toc" class="sticky-top">
      <h2 data-toc-skip>Contents</h2>
    </nav>
  </div>
</div>


      <footer>
      <div class="copyright">
  <p>Developed by Andrew McNeil.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.6.1.</p>
</div>

      </footer>
   </div>

  


  </body>
</html>


